> For the complete documentation index, see [llms.txt](https://docs.skyledge.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyledge.com/client-libraries/nodejs.md).

# NodeJs

## Installation

The Sky Ledge SDK provides convenient access to the Sky Ledge API from applications written in both server-side and client-side JavaScript/Typescript.

### NPM

```
npm install @skyledge/sdk --save
```

### YARN

```
yarn add @skyledge/sdk
```

## Getting Started

The package needs to be configured with your account's API key, which is available from the Management section of your Sky Ledge account. Checkout [Sky Ledge API - Quick start](/getting-started/sky-ledge-api-quick-start.md#getting-your-sky-ledge-api-key)for more detail

```
import { Configuration } from '@skyledge/sdk';

const configuration = new Configuration({
  apiKey: 'XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXX',
  basePath: 'https://api.skyledge.com'
});

```

Once you have your configuration object, you can instantiate the different Sky Ledge APIs. Here's an example of instantiating the Asset API:

```
import { Configuration, AssetsApi } from '@skyledge/sdk';

const configuration = new Configuration({
  apiKey: 'XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXX',
  basePath: 'https://api.skyledge.com'
});

const assetsApi = new AssetsApi(configuration);

const assets = await assetsApi.listAssets();
```

You can always reach out to us on <support@skyledge.com> if you get stuck or have any feedback. We’re always open to taking your suggestions on board. You can also get in touch by joining our [Slack Community](https://join.slack.com/t/skyledge-community/shared_invite/zt-18caefdqu-NCMJhg78jKasLESaLw_5wA).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.skyledge.com/client-libraries/nodejs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
